Skip to content

Get product details​

GET
/products/{product_id}

Returns a single product by internal ID. site_id query param is required. Requires products:read scope.

Authorizations​

BearerAuth

API key in format lm_xxxxxxxxxxxxxxxx. Get your key at app.looma.chat/integrations.

Type
HTTP (bearer)

Parameters​

Path Parameters

product_id*

Internal product ID

Type
integer
Required

Query Parameters

site_id*
Type
integer
Required

Responses​

Product details

application/json
JSON
{
"success": true,
"data": {
"id": 0,
"product_id": "string",
"item_group_id": "string",
"title": "string",
"link": "string",
"price": 0,
"sale_price": 0,
"final_price": 0,
"currency": "UAH",
"availability": "string",
"image_link": "string",
"additional_image_links": "string",
"is_main": 0,
"orders_count": 0,
"views_count": 0,
"has_ai_description": 0,
"ai_description": "string",
"variants_count": 0,
"params": "string",
"created_at": "string"
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Looma.chat — AI-powered e-commerce search & chat